#!/usr/bin/env node
import * as program from 'commander';
import { hasTemplate } from '../config/template.config';
import listTemplates from '../lib/listTemplates';
program
  .version(`${require('../../package.json').version}`)
  .name('world')
  .usage('<command> [options]');

program
    .command('create <templateName> <projectName>')
    .description('create a project from a template')
    .action((templateName: string, projectName: string, cmd) => {
        console.log(templateName);
        console.log(projectName);
    })

program
    .command('ls')
    .description('list all templates')
    .action(cmd => {
        listTemplates();
    })
program.parse(process.argv)
